<?php				
	include_once("../phpmailer/class.phpmailer.php");
	include_once("../phpmailer/class.smtp.php");
    include_once("../inc/api_cred.php");

	$nombre =  $_POST["txtNombre"];
	$id_persona =  $_POST["id_persona"];


	$url = $apiUrl . '/public/obtenerpersona';
	$ch = curl_init($url); //create a new cURL resource
	$payload = json_encode(array('id' => $id_persona));
	curl_setopt($ch, CURLOPT_POSTFIELDS, $payload);//attach encoded JSON string to the POST fields
	curl_setopt($ch, CURLOPT_HTTPHEADER, array('Content-Type:application/json')); //set the content type to application/json
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, true); //return response instead of outputting
	$result = curl_exec($ch); //execute the POST request
	$array = json_decode($result);
	$rut = $array[0]->rut;
	curl_close($ch); 


	$ch2 = curl_init($apiUrl . "/public/obtenerdepartamentoprimarioasignado"); //create a new cURL resource
	$payload2 = json_encode(array('id_persona' => $id_persona));
	curl_setopt($ch2, CURLOPT_POSTFIELDS, $payload2);//attach encoded JSON string to the POST fields
	curl_setopt($ch2, CURLOPT_HTTPHEADER, array('Content-Type:application/json')); //set the content type to application/json
	curl_setopt($ch2, CURLOPT_RETURNTRANSFER, true); //return response instead of outputting
	$result2 = curl_exec($ch2); //execute the POST request
	$array2 = json_decode($result2);



	$email_user = "noreply@ccbsolutions.cl";
	$email_password = "zrv6i4vb+";
	$the_subject = "POWERTIME";
	$from_name = "POWERTIME";
	$phpmailer = new PHPMailer();
	
	// ---------- datos de la cuenta de Gmail -------------------------------
	$phpmailer->Username = $email_user;
	$phpmailer->Password = $email_password; 
	//-----------------------------------------------------------------------
	// $phpmailer->SMTPDebug = 1;
	$phpmailer->SMTPSecure = 'ssl';
	$phpmailer->Host = "smtp.gmail.com"; // GMail
	$phpmailer->Port = 465;
	$phpmailer->IsSMTP(); // use SMTP
	$phpmailer->SMTPAuth = true;
	
	$phpmailer->setFrom("POWERTIME",$from_name);
	$phpmailer->AddAddress('controldeasistencia@cmva.cl');
	
	$phpmailer->Subject = $the_subject;	
				
	$phpmailer->Body .="<p>Permiso Nuevo Registrado en Plataforma. </p>";
    $phpmailer->Body .="<p> Usuario : ". $nombre ." </p>";	
    $phpmailer->Body .="<p> Rut : ". $rut ." </p>";		
	$phpmailer->Body .="<p> Área : ". $array2[0][0]->sucursal ." </p>";	
	$phpmailer->Body .="<p> Centro : ". $array2[0][0]->departamento ." </p>";	
	$phpmailer->Body .= "<br /><p>Este mensaje constituye una comunicación privada de carácter confidencial dirigida al destinatario del presente correo. En caso de recibir accidentalmente este correo sírvase borrar inmediatamente este mensaje.</p>";
	$phpmailer->Body .= "<br /><p>Por favor no responda este mensaje ya que fue generado de forma automática.</p>";					
	
	$phpmailer->IsHTML(true);
	$tabla = array();
	if($phpmailer->Send()){
		array_push($tabla, array(
			"id" => 1, 
			"descripcion" => "Correo Enviado Exitosamente",		
		));		
	}else{
		array_push($tabla, array(
			"id" => 0, 
			"descripcion" => "Problema Enviando Correo",		
		));		
		
	}			
		
	echo json_encode($tabla);	
					
?>				